# Copyright 2022 Gentoo Authors, projectmoon
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="OpenPGP keys used to sign Linux-libre-related packages"
HOMEPAGE="https://www.fsfla.org/ikiwiki/selibre/linux-libre/"
SRC_URI="https://linux-libre.fsfla.org/pub/linux-libre/SIGNING-KEY -> BCB7CF877E7D47A7.asc"

LICENSE="public-domain"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"

S="${WORKDIR}"

src_install() {
	local files=( ${A} )
	insinto /usr/share/openpgp-keys
	newins - linux-libre.asc < <(cat "${files[@]/#/${DISTDIR}/}" || die)
}
